<!DOCTYPE html>
<html>
<body>
<?php if(!isset($_POST['anees1'])) {?>
<form action="anees.php" method="POST">
<input type="text" name="anees_name"><br>
<input type="text" name="moath_name"><br>
  <input type="submit" value="سيذهب الى الأكشن المحدد وهو غير موجود" name="anees2"><br>
  <input type="submit" formaction="<?php echo $_SERVER['PHP_SELF']; ?>" value="اعادة توجيه الصفحة .." name="anees1">
</form>
<?php } ?>


</body>
</html>
<?php
if(isset($_POST['anees1']))
{echo $_POST['anees_name']."</br>".$_POST['moath_name'];
echo '<a href="32.php"><br />Back</a>';
}
if(isset($_POST['anees2']))
{echo $_POST['anees_name']."</br>".$_POST['moath_name'];
echo '<a href="32.php"><br />Back</a>';
}
?>